Subject: [StGit] How do I get colored diff output?

From: Peter Baumann <[email-masked]>
Date: Thu, 30 Aug 2007 14:32:22 +0200

Hi,

Is there a way to get colored diff output, preferable from the native
git diff without having to specify stg diff -O --color everytime?
It seems that stg doesn't honor color.diff config entry, so I am a
little lost.

(And yes I now that I could use the pager setting given in examples/gitconfig,

	stgit.pager = filterdiff --annotate | colordiff | less -FRX

 but I really prefere the native git coloring, which looks a loot nicer
 and does also highlight traling whitespace)

-Peter